! source file: /gxfs_work1/geomar/smomw113/UVic_ESCM/2.9_dk_0814/source/mtlm/swrad.F
      subroutine SWRAD (POINTS, LAND_PTS, LAND_INDEX, ALBSNF, ALBSNC
     &,                LYING_SNOW, SW, TSTAR, TM, SWN, ALBLAND)

      return
      end
